org.eclipse.emf.cdo.ui

## Interface CDOEditorInput

- All Superinterfaces:
    IAdaptable, IEditorInput
  All Known Subinterfaces:
    CDOEditorInput2

      public interface CDOEditorInput
      extends IEditorInput

  A specialized `IEditorInput` for the CDO editor. A `CDOEditorInput` is associated with a `CDOResource`, accessed through a `CDOView` instance.

  For related operations, see `CDOEditorUtil`

  Since:
    2.0
  Author:
    Victor Roldan Betancort
  See Also:
    `IEditorInput`, `CDOEditorUtil`, `CDOView`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResourcePath()` Returns the path to the
    `CDOView` | `getView()` Returns the CDOView associated with this CDOEditorInput
    `boolean` | `isViewOwned()` Returns true if the CDO editor instance is responsible for the underlying org.eclipse.emf.cdo.view.CDOView

    - ### Methods inherited from interface org.eclipse.ui.IEditorInput

      `exists, getImageDescriptor, getName, getPersistable, getToolTipText`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Method Detail

    - #### getView

          CDOView getView()

      Returns the CDOView associated with this CDOEditorInput

    - #### isViewOwned

          boolean isViewOwned()

      Returns true if the CDO editor instance is responsible for the underlying org.eclipse.emf.cdo.view.CDOView

    - #### getResourcePath

          java.lang.String getResourcePath()

      Returns the path to the

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html